# Heart Disease Dataset

## 0. Accès au données:

Pour un accès direct au données vous pouvez consulter le dossier **dataset**.

Pour des informations additionnelles sur le dataset, vous pouvez consulter le lien suivant: [lien](https://www.kaggle.com/datasets/sulianova/cardiovascular-disease-dataset)

## 1. Description du jeu de données
Le dataset contient :  
- Informations objectives (âge, taille, poids…)  
- Résultats d’examens (tension, cholestérol…)  
- Données déclaratives (tabagisme, alcool, activité physique)  
- Indication de présence (1) ou non (0) de maladie cardiovasculaire  

## 2. Cas d’utilisation principal
### 2.1. Description
**Modèle de prédiction du risque cardiovasculaire**  
Prédire si un patient est à risque (1) ou non (0) de maladie cardiovasculaire.

### 2.2. Algorithmes et techniques suggérées
1. **Classification supervisée (Logistic Regression ou KNN)**  
   - **Logistic Regression** : approche simple pour modéliser la probabilité d’appartenance à la classe “malade”.  
   - **KNN** : prédire la classe en fonction des voisins les plus proches dans l’espace des caractéristiques (âge, IMC, cholestérol, etc.).

2. **Évaluation du modèle**  
   - Utiliser des métriques simples : *Accuracy*, *précision*, *rappel* (recall).  
   - Établir la matrice de confusion pour évaluer clairement les faux positifs/négatifs.